--ANSI OLD
select * 
from titles t, publishers p
	-- Cartesian p * t = 18*8 =144
where t.pub_id = p.pub_id

-- ANSI New
SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t
	INNER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id
WHERE t.type = 'business'

SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t
	INNER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id AND t.type = 'business'
go

select * 
from titles t, publishers p
	-- Cartesian p * t = 18*8 =144
where t.pub_id =* p.pub_id
	and t.type = 'business'

SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t RIGHT OUTER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id
WHERE t.type = 'business'

SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t
	RIGHT OUTER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id AND t.type = 'business'


-- Problem..
select * 
from titles t, publishers p
	-- Cartesian p * t = 18*8 =144
where t.pub_id =* p.pub_id
	and t.title_id IS NULL

SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t RIGHT OUTER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id
WHERE t.title_id IS NULL

SELECT t.title AS Title, p.pub_name AS PubName, t.price AS Price
FROM dbo.titles AS t
	RIGHT OUTER JOIN dbo.publishers AS p 
		ON t.pub_id = p.pub_id AND t.title_id IS NULL





