create table test
(
	col1	int	NOT NULL	identity,
	col2	varchar(10)	NOT NULL
)
go
CREATE VIEW TestView
AS
SELECT * FROM Test
go
CREATE PROC TestProc
AS
SELECT * FROM Test
go
SELECT * FROM TestView
EXEC TestProc
-- same number of cols AND number of rows!
go
ALTER TABLE Test
ADD col3 int NOT NULL default 2
go
SELECT * FROM TestView
EXEC TestProc
-- same number of rows BUT ONLY the proc sees col3!
go
ALTER VIEW TestView
AS
SELECT * FROM Test
go
SELECT * FROM TestView
EXEC TestProc
-- now the view has 3 as well...meaning the app will not get consistent behavior
go

--Don't use * in views/proc